require('dotenv').config();
var mixpanel = require('mixpanel-api-wrapper');
var helpers = require('./helpers.js');

var today = helpers.getToday();

var monthAgo = helpers.getMonthAgo();

function getInstanceData(secret) {
  var options = {
    from_date: helpers.formatDate(monthAgo),
    to_date: helpers.formatDate(today)
  };
  var str = mixpanel.mixpanelFunnel(secret, process.env.instanceID, options);
  var str2 = helpers.transformStreamFunnel(str);
  return str2;
}

module.exports = getInstanceData;
